apiVersion: apps/v1
kind: Deployment
metadata:
  name: admin-deployment
  namespace: default
spec:
  minReadySeconds: 120
  revisionHistoryLimit: 2
  replicas: 1
  selector:
    matchLabels:
      app: admin
  template:
    metadata:
      labels:
        app: admin
    spec:
      containers:
        - name: admin
          image: REGISTRY/NAMESPACE/IMAGE:TAG
          resources:
            limits:
              memory: 512Mi
              cpu: 100m
          ports:
            - containerPort: 5173